import BaseMiddlewareHandler from '../abstract/BaseMiddlewareHandler';
import { IAPIGatewayMiddlewareArgs } from '../interfaces/IAPIGatewayMiddlewareHandler';
export default abstract class Ware<ArgsType extends IAPIGatewayMiddlewareArgs> extends BaseMiddlewareHandler {
    constructor();
    abstract run(args: ArgsType): Promise<void>;
}
