import HttpResponse from '../responses/HttpResponse';
import IHttpResponseParts from '../interfaces/IHttpResponseParts';
export default class HttpError extends Error {
    private _statusCode;
    private _body;
    private _extra;
    static buildError(error: Error | HttpError): HttpResponse;
    constructor(statusCode?: number, message?: string, extra?: unknown);
    get statusCode(): number;
    get body(): string;
    get extra(): unknown;
    getResponse(): IHttpResponseParts;
}
