import type { APIGatewayEvent, Context } from 'aws-lambda';
export interface IAPIGatewayMiddlewareArgs<ParsedProxyEventType = any> {
    parsedEvent: ParsedProxyEventType;
    event: APIGatewayEvent;
    context: Context;
}
declare type IAPIGatewayMiddlewareHandler = (args: IAPIGatewayMiddlewareArgs) => Promise<IAPIGatewayMiddlewareArgs>;
export default IAPIGatewayMiddlewareHandler;
