import { IAPIGatewayMiddlewareArgs } from '../interfaces/IAPIGatewayMiddlewareHandler';
import Ware from '../abstract/Ware';
export default class BodyParser extends Ware<IAPIGatewayMiddlewareArgs> {
    constructor();
    static parse<T = unknown>(body: string): T;
    run({ parsedEvent, event }: IAPIGatewayMiddlewareArgs<{
        body: unknown;
    }>): Promise<void>;
}
