import IMiddlewareFunction from '../interfaces/IMiddlewareFunction';
import { IAPIGatewayMiddlewareArgs } from '../interfaces/IAPIGatewayMiddlewareHandler';
import Ware from './Ware';
export default class BaseMiddlewareHandler<WareFunctionArgs extends IAPIGatewayMiddlewareArgs> extends Ware<WareFunctionArgs> {
    protected fn: IMiddlewareFunction;
    constructor(fn: IMiddlewareFunction);
    run(args: WareFunctionArgs): Promise<void>;
}
