import IHeaders from '../interfaces/IHeaders';
import IHttpResponseParts from '../interfaces/IHttpResponseParts';
export default class HttpResponse {
    private _statusCode;
    private _body;
    private _headers;
    static defaultHeaders: IHeaders;
    static mandatoryHeaders: IHeaders;
    static expandMandatoryHeaders(headers: IHeaders): void;
    static expandDefaultHeaders(headers: IHeaders): void;
    static buildResponse(res: HttpResponse | IHttpResponseParts): IHttpResponseParts;
    constructor(statusCode?: number, body?: unknown, headers?: IHeaders);
    get statusCode(): number;
    get body(): string;
    get headers(): IHeaders;
    getResponse(): IHttpResponseParts;
}
